%define upstream_name    File-CounterFile
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Persistent counter class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
This module implements a persistent counter class. Each counter is
represented by a separate file in the file system. File locking is applied,
so multiple processes can attempt to access a counter simultaneously
without risk of counter destruction.

You give the file name as the first parameter to the object constructor
('new'). The file is created if it does not exist.

If the file name does not start with "/" or ".", then it is interpreted as
a file relative to '$File::CounterFile::DEFAULT_DIR'. The default value for
this variable is initialized from the environment variable 'TMPDIR', or
_/usr/tmp_ if no environment variable is defined. You may want to assign a
different value to this variable before creating counters.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-2.mga3
+ Revision: 367150
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 12 2012 shlomif <shlomif> 1.40.0-1.mga3
+ Revision: 304739
- imported package perl-File-CounterFile

